package com.latian.latianSpringBoot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.latian.latianSpringBoot.model.ModelCategories;
import com.latian.latianSpringBoot.service.ServiceCategories;

@RestController
public class ControllerCategories {
	
	@Autowired
	ServiceCategories sc;
	
	@GetMapping(value="/categories")
	public List<ModelCategories> getAllData(){
		return sc.getAllData();
	}
	@GetMapping(value="/categories/{id}")
	public ModelCategories getData(@PathVariable("id") Integer id) {
		return sc.getDataById(id);
	}
	@PutMapping(value="/categories/edit/{id}")
	public ModelCategories updateData(@PathVariable("id") Integer id, @RequestBody ModelCategories mc) {
		sc.getDataById(id);
		mc.setCategoryID(mc.getCategoryID());
		mc.setCategoryName(mc.getCategoryName());
		mc.setDescription(mc.getDescription());
		mc.setPicture(mc.getPicture());
		return sc.addCategories(mc);
	}
	@DeleteMapping(value="/categories/hapus/{id}")
	public ModelCategories deleteData(@PathVariable("id") Integer id) {
		return sc.deleteCategories(id);
	}
	@PostMapping(value="/categories")
	public ModelCategories inputData(@RequestBody ModelCategories mc) {
		return sc.addCategories(mc);
	}
}