package com.latian.latianSpringBoot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.latian.latianSpringBoot.model.ModelEmployees;
import com.latian.latianSpringBoot.service.ServiceEmployees;

@RestController
public class ControllerEmployees {
	@Autowired
	ServiceEmployees serviceEmployees;
	
	@GetMapping(value="/employees")
	public List<ModelEmployees> getAllEmployees() {
		return serviceEmployees.getAllData();
	}
	@GetMapping(value="/employees/{id}")
	public ModelEmployees getEmployeesById(@PathVariable("id") Integer id) {
		return serviceEmployees.getDataById(id);
	}
	@PostMapping(value="/employees")
	public ModelEmployees addEmployees(@RequestBody ModelEmployees modelEmployees) {
		return serviceEmployees.addData(modelEmployees);
	}
	@DeleteMapping(value="/employees/hapus/{id}")
	public ModelEmployees deleteEmployees(@PathVariable("id") Integer id) {
		return serviceEmployees.deletData(id);
	}
	@PutMapping(value="/employees/edit/{id}")
	public ModelEmployees editEmployees(@PathVariable("id") Integer id, @RequestBody ModelEmployees modelEmployees) {
		serviceEmployees.getDataById(id);
		modelEmployees.setAddress(modelEmployees.getAddress());
		modelEmployees.setBirthDate(modelEmployees.getBirthDate());
		modelEmployees.setCity(modelEmployees.getCity());
		modelEmployees.setCountry(modelEmployees.getCountry());
		modelEmployees.setExtension(modelEmployees.getExtension());
		modelEmployees.setFirstName(modelEmployees.getFirstName());
		modelEmployees.setHireDate(modelEmployees.getHireDate());
		modelEmployees.setHomePhone(modelEmployees.getHomePhone());
		modelEmployees.setLastName(modelEmployees.getLastName());
		modelEmployees.setNotes(modelEmployees.getNotes());
		modelEmployees.setPhoto(modelEmployees.getPhoto());
		modelEmployees.setPostalCode(modelEmployees.getPostalCode());
		modelEmployees.setPhotoPath(modelEmployees.getPhotoPath());
		modelEmployees.setRegion(modelEmployees.getRegion());
		modelEmployees.setReportsTo(modelEmployees.getReportsTo());
		modelEmployees.setTitle(modelEmployees.getTitle());
		modelEmployees.setTitleOfCourtesy(modelEmployees.getTitleOfCourtesy());
		return serviceEmployees.addData(modelEmployees);
	}
}
