package com.latian.latianSpringBoot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.latian.latianSpringBoot.model.ModelOrders;
import com.latian.latianSpringBoot.service.ServiceOrder;

@RestController
public class ControllerOrders {
	@Autowired
	ServiceOrder serviceOrder;
	
	@GetMapping(value="/orders")
	public List<ModelOrders> getAllOrder(){
		return serviceOrder.getAllData();
	}
	@GetMapping(value="/orders/{id}")
	public ModelOrders getOrderById(@PathVariable("id") Integer id) {
		return serviceOrder.getDataById(id);
	}
	@PostMapping(value="/orders")
	public ModelOrders addOrder(@RequestBody ModelOrders modelOrders ) {
		return serviceOrder.addData(modelOrders);
	}
	@DeleteMapping(value="/orders/delete/{id}")
	public ModelOrders deleteOrder(@PathVariable("id") Integer id) {
		return serviceOrder.deleteData(id);
	}
}
