package com.latian.latianSpringBoot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.latian.latianSpringBoot.model.ModelShipper;
import com.latian.latianSpringBoot.service.ServiceShipper;

@RestController
public class ControllerShipper {
	@Autowired
	ServiceShipper ss;
	
	@GetMapping(value="/shipper")
	public List<ModelShipper> getAllData() {
		return ss.getAll();
	}
	@GetMapping(value="/shipper/{id}")
	public ModelShipper getDataById(@PathVariable("id") Integer id) {
		return ss.getById(id);
	}
	@PostMapping(value="/shipper")
	public ModelShipper saveData(@RequestBody ModelShipper ms) {
		return ss.addShipper(ms);
	}
	@PutMapping(value="/shipper/edit/{id}")
	public ModelShipper editData(@PathVariable("id") Integer id, @RequestBody ModelShipper ms) {
		ss.getById(id);
		ms.setCompanyName(ms.getCompanyName());
		ms.setPhone(ms.getPhone());
		return ss.addShipper(ms);
	}
	@DeleteMapping(value="/shipper/delete/{id}")
	public ModelShipper deleteShipper(@PathVariable("id") Integer id) {
		return ss.deleteShipper(id);
	}
}
