package com.latian.latianSpringBoot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.latian.latianSpringBoot.model.ModelSuppliers;
import com.latian.latianSpringBoot.service.ServiceSupliers;

@RestController
public class ControllerSuppliers {
	
	@Autowired
	ServiceSupliers serviceSupliers;
	
	@GetMapping(value="/suppliers")
	public List<ModelSuppliers> getAll() {
		return serviceSupliers.getAllData();
	}
	@GetMapping(value="/suppliers/{id}")
	public ModelSuppliers getSuppliersById(@PathVariable("id") Integer id) {
		return serviceSupliers.getDataById(id);
	}
	@PostMapping(value="/suppliers")
	public ModelSuppliers addSuppliers(@RequestBody ModelSuppliers modelSuppliers) {
		return serviceSupliers.addSupplier(modelSuppliers);
	}
	@DeleteMapping(value="/suppliers/hapus/{id}")
	public ModelSuppliers deleteSuppliers(@PathVariable("id") Integer id) {
		return serviceSupliers.deleteSupplier(id);
	}
	@PutMapping(value="/suppliers/edit/{id}")
	public ModelSuppliers updateSuppliers(@PathVariable("id") Integer id, @RequestBody ModelSuppliers mSuppliers) {
		serviceSupliers.getDataById(id);
		mSuppliers.setAddress(mSuppliers.getAddress());
		mSuppliers.setCity(mSuppliers.getCity());
		mSuppliers.setCompanyName(mSuppliers.getCompanyName());
		mSuppliers.setContactName(mSuppliers.getContactName());
		mSuppliers.setContactTitle(mSuppliers.getContactTitle());
		mSuppliers.setCountry(mSuppliers.getCountry());
		mSuppliers.setFax(mSuppliers.getFax());
		mSuppliers.setHomepage(mSuppliers.getHomepage());
		mSuppliers.setPhone(mSuppliers.getPhone());
		mSuppliers.setPostalCode(mSuppliers.getPostalCode());
		mSuppliers.setRegion(mSuppliers.getRegion());
		return serviceSupliers.addSupplier(mSuppliers);
	}
}
