package com.latian.latianSpringBoot.model;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

@Entity
@Table(name="orders")
public class ModelOrders {
	
	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name="orderid")
	private int OrderID;
	
	@Column(name="customerid")
	private int CustomerID;
	
	@Column(name="employeeid")
	private int EmployeeID;
	
	@Column(name="orderdate")
	@JsonFormat(pattern="dd/MM/yyyy")
	private Date orderDate;
	
	@Column(name="requireddate")
	@JsonFormat(pattern="dd/MM/yyyy")
	private Date requiredDate;
	
	@Column(name="shippeddate")
	@JsonFormat(pattern="dd/MM/yyyy")
	private Date shippedDate;
	
	@Column(name="shipvia")
	private int ShipVia;
	
	@Column(name="freight")
	private Double freight;
	
	@Column(name="shipname")
	private String ShipName;
	
	@Column(name="shipaddress")
	private String ShipAddress;
	
	@Column(name="shipcity")
	private String ShipCity;
	
	@Column(name="shipregion")
	private String ShipRegion;
	
	@Column(name="shippostalcode")
	private String ShipPostalCode;
	
	@Column(name="shipcountry")
	private String ShipCountry;
	
	@OneToMany
	@JoinColumn(name="orderid")
	@JsonProperty("details")
	private List<ModelOrderDetail> modelOrderDetails;
	
	public List<ModelOrderDetail> getModelOrderDetails() {
		return modelOrderDetails;
	}
	public void setModelOrderDetails(List<ModelOrderDetail> modelOrderDetails) {
		this.modelOrderDetails = modelOrderDetails;
	}
	public int getOrderID() {
		return OrderID;
	}
	public void setOrderID(int orderID) {
		OrderID = orderID;
	}
	public int getCustomerID() {
		return CustomerID;
	}
	public void setCustomerID(int customerID) {
		CustomerID = customerID;
	}
	public int getEmployeeID() {
		return EmployeeID;
	}
	public void setEmployeeID(int employeeID) {
		EmployeeID = employeeID;
	}
	public Date getOrderDate() {
		return orderDate;
	}
	public void setOrderDate(Date orderDate) {
		this.orderDate = orderDate;
	}
	public Date getRequiredDate() {
		return requiredDate;
	}
	public void setRequiredDate(Date requiredDate) {
		this.requiredDate = requiredDate;
	}
	public Date getShippedDate() {
		return shippedDate;
	}
	public void setShippedDate(Date shippedDate) {
		this.shippedDate = shippedDate;
	}
	public int getShipVia() {
		return ShipVia;
	}
	public void setShipVia(int shipVia) {
		ShipVia = shipVia;
	}
	public Double getFreight() {
		return freight;
	}
	public void setFreight(Double freight) {
		this.freight = freight;
	}
	public String getShipName() {
		return ShipName;
	}
	public void setShipName(String shipName) {
		ShipName = shipName;
	}
	public String getShipAddress() {
		return ShipAddress;
	}
	public void setShipAddress(String shipAddress) {
		ShipAddress = shipAddress;
	}
	public String getShipCity() {
		return ShipCity;
	}
	public void setShipCity(String shipCity) {
		ShipCity = shipCity;
	}
	public String getShipRegion() {
		return ShipRegion;
	}
	public void setShipRegion(String shipRegion) {
		ShipRegion = shipRegion;
	}
	public String getShipPostalCode() {
		return ShipPostalCode;
	}
	public void setShipPostalCode(String shipPostalCode) {
		ShipPostalCode = shipPostalCode;
	}
	public String getShipCountry() {
		return ShipCountry;
	}
	public void setShipCountry(String shipCountry) {
		ShipCountry = shipCountry;
	}
}
